%global prerelease 14
%global alpha alpha
%global drupaldir %{_datadir}/drupal6
Name:      drupal6-data
Version:   1.0
Release:   0.4.%{alpha}%{prerelease}%{?dist}
Summary:   Data module helps you model, manage and query related sets of tables

Group:     Applications/Publishing
License:   GPLv2+
URL:       http://drupal.org/project/data
Source0:   http://ftp.drupal.org/files/projects/data-6.x-%{version}-alpha14.tar.gz
Source1:   %{name}-fedora-README.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal6, drupal6-schema, drupal6-ctools

%description
Data module helps you model, manage and query related sets of tables.
It offers an administration interface and
a low level API for manipulating tables and accessing their contents.
Data module provides Views integration for displaying table data
and Drupal search integration for searching table content.
You can use Feeds to import RSS, Atom, CSV or OPML files into data tables.
The Data module provides:
an API for dynamically allocating tables for single-row records.
an API for insert/update/delete operations
and describing how tables join to each other.
automatic views integration.
a way to export table definitions to code.
The included Data UI module provides:
UI to add new database tables.
UI to add or alter columns to existing tables managed by Data module.
UI to define joins between tables.
UI to solve conflicts between table in database and schema information.
default views for tables managed by Data module.
UI to add existing tables that are unclaimed
by other modules to Data's table management.
Further, you can
Search specific table fields with the included Data Search module.
Relate table records to nodes with the included Data Node module.
You may want to
check out Feeds module for using Data
as a storage engine for RSS/Atom feed data.
know how Data relates to Table Wizard
know that Data module is the successor of Flatstore.

%prep
%setup -qn data
chmod -x data.module
cp -p %{SOURCE1} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/data
cp -pr * %{buildroot}%{drupaldir}/modules/data

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt %{name}-fedora-README.txt CHANGELOG.txt
%dir %{drupaldir}/modules/data
%{drupaldir}/modules/data/data*
%{drupaldir}/modules/data/includes
%{drupaldir}/modules/data/views
%{drupaldir}/modules/data/tests
%exclude %{drupaldir}/modules/data/*.txt

%changelog
* Mon Jan 31 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.4.alpha14
- Version macro is added.
- Lang macro is also added.

* Wed Jan 26 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.3.alpha14
- Corrected alignment.
- Chmod and cp lines are copied under prep section.

* Wed Jan 19 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.2.alpha14
- Additional adjustments in the spec file.

* Thu Nov 19 2010 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.1.alpha14
- Initial packaging.
